msymbol_exist(3m17n)

NAME
msymbol_exist - Search for a symbol that has a specified name.

SYNOPSIS
MSymbol msymbol_exist (const char * name)

DESCRIPTION
Search for a symbol that has a specified name.

The msymbol_exist() function searches for the symbol whose name is name.

RETURN VALUE

    If such a symbol exists, msymbol_exist() returns that symbol. Otherwise it returns the predefined symbol Mnil.

ERRORS

    This function never fails.

SEE ALSO

    msymbol_name(), msymbol()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.